Bug 996970 - Changing email address for event notification results in error "User is already subscribed to this event with the same Notification method"
Changing email address for event notification results in error "User is alrea...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity medium
: ---
: 3.2.3
Assigned To: Ravi Nori
Ilanit Stein
infra
: ZStream
Depends On: 985635
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-14 07:35 EDT by Idith Tal-Kohen
Modified: 2016-02-10 14:38 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Changing an email address for receiving event notifications failed with the message that the user was already subscribed. This occurred because the RemoveEventSubscription action did not complete before AddEventSubscription was called. This update ensures that the calls are invoked in sequence, so changing email addresses for event notification succeeds.
Story Points: ---
Clone Of: 985635
Environment:
Last Closed: 2013-09-10 15:06:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 475413 None None None Never
oVirt gerrit 17984 None None None Never

  None (edit)
Comment 2 Ilanit Stein 2013-08-25 09:11:41 EDT
Verified on sf20
Comment 4 errata-xmlrpc 2013-09-10 15:06:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1210.html

Note You need to log in before you can comment on or make changes to this bug.